Skip to main content
GET
Get an interview event

Authorizations

Authorization
string
header
required

API tokens are passed as Bearer tokens.

Path Parameters

interviewEventId
string
required

an interview event ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:int_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Example:

"int_a1b2c3d4e5f64789a1b2c3d4e5f64789"

Response

Success

id
string
required

Canonical interview event ID (int_ followed by 32 lowercase hexadecimal UUID characters).

Pattern: ^int_[0-9a-f]{32}$
Example:

"int_a1b2c3d4e5f64789a1b2c3d4e5f64789"

schedule_id
string
required

Canonical schedule ID (sch_ followed by 32 lowercase hexadecimal UUID characters).

Pattern: ^sch_[0-9a-f]{32}$
Example:

"sch_a1b2c3d4e5f64789a1b2c3d4e5f64789"

name
string
required
start_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

end_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

timezone
string
required
status
enum<string>
required
Available options:
SCHEDULED,
COMPLETED,
CANCELED
application
object | null
required
interviewers
object[]
required
video_meeting_url
string<uri> | null
required
is_debrief
boolean
required
created_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

updated_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

app_url
string<uri>
required

Link that opens this resource in the ModernLoop app.